Resolution: Fixed Affected version: 0.7.3
Description

The right click feature on the page Issues does not work in Opera. No matter if alt+click, ctrl + click. no mouse-keyboard combination
seems to activate the right click feature of redmine.

Associated revisions

Revision 1762 - 2008-08-25 17:24 - Jean-Philippe Lang

Fixes context menu with Opera (#1655).

History

#1 - 2008-07-16 14:41 - Michael Pirogov

Is your Opera java powered? What java, browser version, OS, etc you use?

#2 - 2008-07-16 14:57 - Anke Maklo

Yes it has java. I've used the newest java version avaible right now. Firefox and IE also work fine.

#3 - 2008-07-16 15:24 - Michael Pirogov
Dunno, I've Opera 9.51, build 2061, w/o JRE, x86_64.

Alt+LeftButton gives me a menu

#4 - 2008-07-16 19:22 - Anke Maklo

| tried it with Version
9.51

Build

10081

Platform

Win32

oS

Windows XP

Java

Sun Java Runtime Environment version 1.6
XHTML+Language
Plugin not installed

didnt work
#5 - 2008-07-16 20:21 - Jean-Philippe Lang
Did a test with a fresh opera 9.51.10081 on win32. Works fine.

Make sure you use ALT + LEFT click (right click behaviour can not be changed with opera).

#6 - 2008-07-17 16:47 - Derek Montgomery
Also make sure you click AWAY from the link, not ON it... | had forgotten about that myself :P

#7 - 2008-07-17 18:03 - Anke Maklo
| think the problem might have been caused with FastCGl. I'm running Redmine with FCGI and the menus simply won't popup with alt + left click

while on redmine.org it works.

#8 - 2008-07-20 14:51 - Philipp Fiihrer
http://img88.imageshack.us/img88/2406/operaxg7.png

Anke Maklo wrote:
| think the problem might have been caused with FastCGl. I'm running Redmine with FCGI and the menus simply won't popup with alt + left click
while on redmine.org it works.

| have the same problem. A right click on redmine.org works, but not with Firefox or Opera at my site.

so i've changed in context_menu.js:

if (Event.findElement(e, 'a') != document) { return; }

to:

if (Event.findElement(e, 'a') |= undefined) { return; }

after this it's working.. in opera and firefox.

btw, you could also use: if (Event.element(e).tagName =="A") { return; }

#9 - 2008-07-21 14:20 - Anke Maklo

- Status changed from New to Resolved

Philipp flip FUhrer wrote:

btw, you could also use: if (Event.element(e).tagName =="A") { return; }

Wonderful! It works! Maybe this should be included in redmine as patch.

#10 - 2008-08-25 17:20 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Fixed

Fix applied in r1762. Thanks.
